VMTKCENTERLINEINTERPOLATION(1)

NAME
vmtkcenterlineinterpolation - vmtk script vmtkcenterlineinterpolation

DESCRIPTION
Automatic piping vmtkcenterlineinterpolation Parsing options vmtkcenterlineinterpolation

vmtkcenterlineinterpolation : smooth centerlines with a moving average

    filter

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Centerlines (vtkPolyData,1): the input centerlines

-ifile CenterlinesInputFileName (str,1): filename for the default

    Centerlines reader

-array MaskArrayName (str,1); default=None: the array used for

    determining what portion of the centerline has to be reinterpolated is stored

-threshold Threshold (float,1); default=0.0: value of the mask

    array below which (above which, in case insideout is 1) the centerline is reinterpolated

-insideout InsideOut (bool,1); default=0: toggle interpolating

    below (0) or above (1) the threshold value

-ofile CenterlinesOutputFileName (str,1): filename for the default

    Centerlines writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Centerlines (vtkPolyData,1): the output centerlines